# Call/Put Net/Vol Ticks `GET` `https://api.unusualwhales.com/api/stock/{ticker}/net-prem-ticks` Returns the net premium ticks for a given ticker which can be used to build the following chart: ![Net Prem chart](https://i.imgur.com/Rom1kcB.png) ---- Each tick is resembling the data for a single minute tick. To build a daily chart you would have to add the previous data to the current tick: ```javascript const url = 'https://api.unusualwhales.com/api/stock/AAPL/net-prem-ticks'; const options = { method: 'GET', headers: { Accept: 'application/json', Authorization: 'Bearer YOUR_TOKEN' } }; fetch(url, options) .then(r => r.json()) .then(r => { const {data} = r.data; const fieldsToSum = [ "net_call_premium", "net_call_volume", "net_put_premium", "net_put_volume" ]; let result = []; data.forEach((e, idx) => { e.net_call_premium = parseFloat(e.net_call_premium); e.net_put_premium = parseFloat(e.net_put_premium); if (idx !== 0) { fieldsToSum.forEach((field) => { e[field] = e[field] + result[idx-1][field]; }) } result.push(e); }) return result; }); ``` ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `ticker` | SingleTicker | Yes | A single ticker | ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `date` | Optional Market Date | No | A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date. | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `call_volume` | Market General Call Volume | The sum of the size of all the call transactions that executed. | | `call_volume_ask_side` | Market General Call Volume Ask Side | The sum of the size of all the call transactions that executed on the ask side. | | `call_volume_bid_side` | Market General Call Volume Bid Side | The sum of the size of all the call transactions that executed on the bid side. | | `date` | Market General Trading day | A trading date in ISO format. | | `net_call_premium` | Market General Net Call Premium | Defined as (call premium ask side) - (call premium bid side). | | `net_call_volume` | Market General Net Call Volume | Defined as (call volume ask side) - (call volume bid side). | | `net_delta` | string | Net delta | | `net_put_premium` | Market General Net Put Premium | Defined as (put premium ask side) - (put premium bid side). | | `net_put_volume` | Market General Net Put Volume | Defined as (put volume ask side) - (put volume bid side). | | `put_volume` | Market General Put Volume | The sum of the size of all the put transactions that executed. | | `put_volume_ask_side` | Market General Put Volume Ask Side | The sum of the size of all the put transactions that executed on the ask side. | | `put_volume_bid_side` | Market General Put Volume Bid Side | The sum of the size of all the put transactions that executed on the bid side. | | `tape_time` | General Tick time | The start time of the tick as a timestamp with timezone. | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/stock/{ticker}/net-prem-ticks" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/stock/{ticker}/net-prem-ticks", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "call_volume": 1145, "call_volume_ask_side": 822, "call_volume_bid_side": 182, "date": "2025-03-21", "net_call_premium": "2234.00", "net_call_volume": 640, "net_delta": "26294.85817964231814400", "net_put_premium": "-11106.00", "net_put_volume": -137, "put_volume": 241, "put_volume_ask_side": 49, "put_volume_bid_side": 186, "tape_time": "2025-03-21T19:58:00.000000Z" }, { "call_volume": 1255, "call_volume_ask_side": 912, "call_volume_bid_side": 192, "date": "2025-03-21", "net_call_premium": "3234.00", "net_call_volume": 720, "net_delta": "28294.85817964231814400", "net_put_premium": "-9106.00", "net_put_volume": -127, "put_volume": 231, "put_volume_ask_side": 59, "put_volume_bid_side": 166, "tape_time": "2025-03-21T19:59:00.000000Z" } ] } ```